topo2topo copies Vitess topology data from one topo server to another.
It can also be used to compare data between two topologies.

Usage:
  topo2topo [flags]

Flags:
      --alsologtostderr                                             log to standard error as well as files
      --compare                                                     compares data between topologies
      --config-file string                                          Full path of the config file (with extension) to use. If set, --config-path, --config-type, and --config-name are ignored.
      --config-file-not-found-handling ConfigFileNotFoundHandling   Behavior when a config file is not found. (Options: error, exit, ignore, warn) (default warn)
      --config-name string                                          Name of the config file (without extension) to search for. (default "vtconfig")
      --config-path strings                                         Paths to search for config files in. (default [{{ .Workdir }}])
      --config-persistence-min-interval duration                    minimum interval between persisting dynamic config changes back to disk (if no change has occurred, nothing is done). (default 1s)
      --config-type string                                          Config file type (omit to infer config type from file extension).
      --do-keyspaces                                                copies the keyspace information
      --do-routing-rules                                            copies the routing rules
      --do-shard-replications                                       copies the shard replication information
      --do-shards                                                   copies the shard information
      --do-tablets                                                  copies the tablet information
      --from_implementation string                                  topology implementation to copy data from
      --from_root string                                            topology server root to copy data from
      --from_server string                                          topology server address to copy data from
      --grpc_enable_tracing                                         Enable gRPC tracing.
      --grpc_max_message_size int                                   Maximum allowed RPC message size. Larger messages will be rejected by gRPC with the error 'exceeding the max size'. (default 16777216)
      --grpc_prometheus                                             Enable gRPC monitoring with Prometheus.
  -h, --help                                                        help for topo2topo
      --keep_logs duration                                          keep logs for this long (using ctime) (zero to keep forever)
      --keep_logs_by_mtime duration                                 keep logs for this long (using mtime) (zero to keep forever)
      --log_backtrace_at traceLocation                              when logging hits line file:N, emit a stack trace (default :0)
      --log_dir string                                              If non-empty, write log files in this directory
      --log_err_stacks                                              log stack traces for errors
      --log_rotate_max_size uint                                    size in bytes at which logs are rotated (glog.MaxSize) (default 1887436800)
      --logtostderr                                                 log to standard error instead of files
      --pprof strings                                               enable profiling
      --purge_logs_interval duration                                how often try to remove old logs (default 1h0m0s)
      --security_policy string                                      the name of a registered security policy to use for controlling access to URLs - empty means allow all for anyone (built-in policies: deny-all, read-only)
      --stderrthreshold severity                                    logs at or above this threshold go to stderr (default 1)
      --to_implementation string                                    topology implementation to copy data to
      --to_root string                                              topology server root to copy data to
      --to_server string                                            topology server address to copy data to
      --v Level                                                     log level for V logs
  -v, --version                                                     print binary version
      --vmodule moduleSpec                                          comma-separated list of pattern=N settings for file-filtered logging
